orte/runtime/orte_setup_hnp.c File Reference.TH "orte/runtime/orte_setup_hnp.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/runtime/orte_setup_hnp.c \- Establish a Head Node Process on a cluster's front end. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include <stdlib.h>\fP
.br
\fC#include <errno.h>\fP
.br
\fC#include <string.h>\fP
.br
\fC#include <sys/types.h>\fP
.br
\fC#include <sys/stat.h>\fP
.br
\fC#include <fcntl.h>\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'dps/dps.h'\fP
.br
\fC#include 'opal/event/event.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'runtime/orte_wait.h'\fP
.br
\fC#include 'opal/util/argv.h'\fP
.br
\fC#include 'opal/util/opal_environ.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'opal/util/path.h'\fP
.br
\fC#include 'util/univ_info.h'\fP
.br
\fC#include 'util/sys_info.h'\fP
.br
\fC#include 'util/proc_info.h'\fP
.br
\fC#include 'opal/util/os_path.h'\fP
.br
\fC#include 'util/session_dir.h'\fP
.br
\fC#include 'util/universe_setup_file_io.h'\fP
.br
\fC#include 'mca/base/mca_base_param.h'\fP
.br
\fC#include 'mca/soh/soh.h'\fP
.br
\fC#include 'mca/rml/rml.h'\fP
.br
\fC#include 'mca/rds/rds_types.h'\fP
.br
\fC#include 'mca/ns/ns.h'\fP
.br
\fC#include 'mca/gpr/gpr.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'runtime/runtime.h'\fP
.br
\fC#include 'runtime/orte_setup_hnp.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "static void \fBorte_setup_hnp_recv\fP (int status, orte_process_name_t *sender, \fBorte_buffer_t\fP *buffer, \fBorte_rml_tag_t\fP tag, void *cbdata)"
.br
.ti -1c
.RI "static void \fBorte_setup_hnp_wait\fP (pid_t wpid, int status, void *data)"
.br
.ti -1c
.RI "int \fBorte_setup_hnp\fP (char *target_cluster, char *headnode, char *username)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "char ** \fBenviron\fP"
.br
.ti -1c
.RI "static \fBopal_mutex_t\fP \fBorte_setup_hnp_mutex\fP"
.br
.ti -1c
.RI "static opal_condition_t \fBorte_setup_hnp_condition\fP"
.br
.ti -1c
.RI "static int \fBorte_setup_hnp_rc\fP"
.br
.ti -1c
.RI "static char * \fBorte_setup_hnp_orted_uri\fP"
.br
.ti -1c
.RI "static orte_setup_hnp_cb_data_t \fBorte_setup_hnp_cbdata\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Establish a Head Node Process on a cluster's front end. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
